package cn.iocoder.yudao.module.delivery.entity;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;


/*
 销售看板查询请求参数
 逻辑数据大部分集中在表 ecw_order
 lanbm 2024-03-31 add
 */
@Schema(description = "管理后台-销售看板查询参数")
@Data
@ToString(callSuper = true)
public class SalesReportReq {

    /*
     销售经理
     */
    private String salesmanid;

    /*
     部门ID
     */
    private String deptid;

    /*
     对比年份
     */
    private String duibiYear;
}
