package cn.iocoder.yudao.module.delivery.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

/*
 model字段中不能有下划线，否则转对象会失败
 */
@ApiModel("管理后台 -销售看板查询结果")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalesReportResp {

    /*
     所有运输方式的总体积，换算V值结果
     */
    private BigDecimal allsumvolume;

    /*
    海运体积
     */
    private BigDecimal sumvolume1;

    /*
    专线空运重量
     */
    private BigDecimal sumweight3;


}
