package cn.iocoder.yudao.module.delivery.mapper;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisExcelResp;
import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisReq;
import cn.iocoder.yudao.module.delivery.entity.CustomerAnalysisResp;
import cn.iocoder.yudao.module.delivery.entity.Employee;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * (CustomerAnalysis)客户分析
 *
 * @author lanbm
 * @since 2024-04-01
 */
@Mapper
public interface CustomerAnalysisMapper {

    List<CustomerAnalysisResp> getListPage(CustomerAnalysisReq req);

    /*
     lanbm 2024-04-26 add
     */
    List<CustomerAnalysisResp> getListPage_New(CustomerAnalysisReq req);

    /*
    获取查询条件的总数
     */
    Long GetCount(CustomerAnalysisReq req);

    List<CustomerAnalysisResp>getList(CustomerAnalysisReq req);

}
