package cn.iocoder.yudao.module.delivery.service.Impl;

import cn.iocoder.yudao.module.delivery.entity.SalesReportReq;
import cn.iocoder.yudao.module.delivery.entity.SalesReportResp;
import cn.iocoder.yudao.module.delivery.mapper.EmployeeMapper;
import cn.iocoder.yudao.module.delivery.mapper.SalesReportMapper;
import cn.iocoder.yudao.module.delivery.service.SalesReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/*
  销售看板统计报表
  lanbm 2024-04-01 add
 */
@Service("SalesReportService")
public class SalesReportImpl implements SalesReportService {

    @Autowired
    private SalesReportMapper salesReportMapper;


    public SalesReportResp SalesReportCount(SalesReportReq Req) {
        return salesReportMapper.SalesReportCount(Req);
    }

    public int FirstCustomerCount(SalesReportReq Req) {
        return salesReportMapper.FirstCustomerCount(Req);
    }


}
