package cn.iocoder.yudao.module.delivery.service.Impl;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.util.MyBatisUtils;
import cn.iocoder.yudao.module.delivery.entity.*;
import cn.iocoder.yudao.module.delivery.mapper.SalesAnalysisMapper;
import cn.iocoder.yudao.module.delivery.service.SalesAnalysisService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/*
 lanbm 2024-04-01
 */
@Service("SalesAnalysisService")
public class SalesAnalysisImpl implements SalesAnalysisService {

    @Autowired
    private SalesAnalysisMapper salesAnalysisMapper;

    public List<SalesAnalysisExcelResp> getList(SalesAnalysisReq req)
    {
        return salesAnalysisMapper.getList(req);
    }


    public PageResult<SalesAnalysisResp> getListPage(SalesAnalysisReq req) {

        IPage<SalesAnalysisResp> mpPage = MyBatisUtils.buildPage(req);
        long total = salesAnalysisMapper.GetCount(req);
        System.out.println("符合条件的客户总数："+String.valueOf(total));
        int start = (req.getPageNo() - 1) * req.getPageSize();
        int size = req.getPageSize();

        req.setSize(size);
        req.setStart(start);

        List<SalesAnalysisResp> list = salesAnalysisMapper.getListPage(req);

        return new PageResult<>(list, total, mpPage.getSize(),
                req.getPageNo(), (total + mpPage.getSize() - 1) / mpPage.getSize());


    }
}
